BatchBuilderInitiator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.batch.internal
Class BatchBuilderInitiator

    java.lang.Object
      org.hibernate.engine.jdbc.batch.internal.BatchBuilderInitiator

All Implemented Interfaces:
  BasicServiceInitiator<BatchBuilder>, ServiceInitiator<BatchBuilder>

    public class BatchBuilderInitiator

extends Object
implements BasicServiceInitiator<BatchBuilder>

Initiator for the `BatchBuilder` service

Field Summary
`static String` | `BUILDER`
`static BatchBuilderInitiator` | `INSTANCE`

Constructor Summary
`BatchBuilderInitiator()`

Method Summary
`Class<BatchBuilder>` | `getServiceInitiated()` Obtains the service role initiated by this initiator.
`BatchBuilder` | `initiateService(Map configurationValues, ServiceRegistryImplementor registry)` Initiates the managed service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final BatchBuilderInitiator INSTANCE

### BUILDER

    public static final String BUILDER

See Also:
  Constant Field Values

Constructor Detail

### BatchBuilderInitiator

    public BatchBuilderInitiator()

Method Detail

### getServiceInitiated

    public Class<BatchBuilder> getServiceInitiated()

  Description copied from interface: `ServiceInitiator`
  Obtains the service role initiated by this initiator. Should be unique within a registry

  Specified by:
    `getServiceInitiated` in interface `ServiceInitiator<BatchBuilder>`
  Returns:
    The service role.

### initiateService

    public BatchBuilder initiateService(Map configurationValues,
                                        ServiceRegistryImplementor registry)

  Description copied from interface: `BasicServiceInitiator`
  Initiates the managed service.

  Specified by:
    `initiateService` in interface `BasicServiceInitiator<BatchBuilder>`
  Parameters:
    `configurationValues` - The configuration values in effect
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.